# Πρόγραμμα Εμφάνισης Κατανομής Ρίψης Δύο Ζαριών

# Εισαγωγή Βιβλιοθήκης Παραγωγής Τυχαίων Αριθμών
import random

# Ορισμός συνάρτησης εμφάνισης γραμμής από *
# Παράμετρος Εισόδου η μεταβλητή mikos που αντιστοιχεί
# στο μήκος της οριζόντιας γραμμής
def grammi(mikos):
    # Επανάληψη for, εμφάνιση ενός * τόσες φορές όσες
    # η τιμή της μεταβλητής mikos
    for m in range(mikos):
        print("*", end="")
    print()

# Ορισμός συνάρτησης ρίψης ενός ζαριού
def zari():
    # Η μεταβλητή ripsi_zariou λαμβάνει τιμή ίση με το
    # αποτέλεσμα μιας ζαριάς (έναν ακέραιος μεταξύ 1 και 6).
    ripsi_zariou=random.randint(1, 6)
    # Η συνάρτηση επιστρέφει ως τιμή εξόδου
    # την τιμή της μεταβλητής ripsi_zariou 
    return ripsi_zariou

# Αρχικοποίηση λίστας αποτελεσμάτων ρίψης ζαριών με την τιμή [],
# δηλαδή την κενή λίστα
lista_apotelesmata_ripsis_zarion=[]

# Εμφάνιση Μηνύματος Καλωσορίσματος
print("Καλώς Ήρθατε στο Πρόγραμμα Κατανομής Ρίψης Δύο Ζαριών")
print()

# Εισαγωγή από τον χρήστη του πλήθους των ρίψεων
plithos=int(input("Πόσες φορές θέλετε να ρίξω τα 2 ζάρια; "))

# Επανάληψη for, η μεταβλητή i θα λάβει διαδοχικά ως τιμή όλες 
# τις τιμές, από το 1 έως και το plithos
for i in range(1, plithos+1):
    # Κλήση συνάρτησης zari() - ρίψη πρώτου ζαριού
    zari1=zari()
    # Κλήση συνάρτησης zari() - ρίψη δεύτερου ζαριού
    zari2=zari()
    # Πρόσθεση τιμής των 2 ζαριών και ανάθεση στη μεταβλητή zaria
    zaria=zari1+zari2
    # Εισαγωγή τιμής της μεταβλητής zaria στη λίστα αποτελεσμάτων ρίψεων
    lista_apotelesmata_ripsis_zarion.append(zaria)

# Επανάληψη for, η μεταβλητή j θα λάβει διαδοχικά ως τιμή όλες 
# τις τιμές, από το 2 έως και το 12
for j in range(2,13):
    # Μέτρηση του πλήθους των εμφανίσεων της τιμής j
    # στη λίστα αποτελεσμάτων ρίψεων
    emfaniseis=lista_apotelesmata_ripsis_zarion.count(j)
    # Εμφάνιση του j 
    print(j, "\t", end="")
    # Εμφάνιση δίπλα στο j, της γραμμής από *
    grammi(emfaniseis)           

# Εμφάνιση Μηνύματος Τέλους
print()
print("Ευχαριστούμε που χρησιμοποιήσατε το Πρόγραμμα \
Εμφάνισης Κατανομής Ρίψης Δύο Ζαριών") 

